getBalances

Similar to getInclusionStates it returns the confirmed balance which a list of addresses have at the latest confirmed milestone. In addition to the balances, it also returns the milestone as well as the index with which the confirmed balance was determined. The balances is returned as a list in the same order as the addresses were provided as input.

FieldDescription
balancesList of balances in the same order as you put in the addresses. The balance is returned in units, which means 100000000 = 1 ADK.
Body Params
string
required
Defaults to getBalances
addresses
array of strings
required

List of addresses you want to get the confirmed balance from

addresses*
string
required

Confirmation threshold, should be set to 100.

Responses

Language
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json